commit 0efd878ec0e374785a15e46b48cbdd639993979a
Author: freddy77 <freddy77>
Date:   Fri Feb 29 10:24:41 2008 +0000

    improved adding test for SQLExtendedFetch

diff --git b/ChangeLog a/ChangeLog
index d11ef26..1354a3e 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,7 +1,3 @@
-Fri Feb 29 11:23:13 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/unittests/rowset.c:
-	- improved adding test for SQLExtendedFetch
-
 Fri Feb 29 10:22:14 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/unittests/.cvsignore:
 	* src/odbc/unittests/Makefile.am src/odbc/unittests/rowset.c(added):
@@ -106,4 +102,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.24 2008/02/29 10:24:41 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.23 2008/02/29 09:23:51 freddy77 Exp $
diff --git b/src/odbc/unittests/rowset.c a/src/odbc/unittests/rowset.c
index e1f2e78..d2c23ea 100644
--- b/src/odbc/unittests/rowset.c
+++ a/src/odbc/unittests/rowset.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: rowset.c,v 1.1.2.2 2008/02/29 10:24:41 freddy77 Exp $";
+static char software_version[] = "$Id: rowset.c,v 1.1.2.1 2008/02/29 09:23:51 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHK(func,params) \
@@ -44,67 +44,25 @@ test_err(int n)
 int
 main(int argc, char *argv[])
 {
-	int i;
 	SQLLEN len;
-#ifdef HAVE_SQLROWSETSIZE
-	SQLROWSETSIZE row_count;
-#else
-	SQLULEN row_count;
-#endif
-	SQLUSMALLINT statuses[10];
-	char buf[32];
-	SQLRETURN rc;
 
 	use_odbc_version3 = 1;
 	Connect();
 
-	/* initial value should be 1 */
 	CHK(SQLGetStmtAttr, (Statement, SQL_ROWSET_SIZE, &len, sizeof(len), NULL));
 	if (len != 1) {
 		fprintf(stderr, "len should be 1\n");
 		Disconnect();
 		return 1;
 	}
-
-	/* check invalid parameter values */
+	
 	test_err(-123);
 	test_err(-1);
 	test_err(0);
 
-	/* set some correct values */
 	CHK(SQLSetStmtAttr, (Statement, SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(2), 0));
 	CHK(SQLSetStmtAttr, (Statement, SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(1), 0));
 
-	/* now check that SQLExtendedFetch works as expected */
-	Command(Statement, "CREATE TABLE #rowset(n INTEGER, c VARCHAR(20))");
-	for (i = 0; i < 10; ++i) {
-		char s[10];
-		char sql[128];
-
-		memset(s, 'a' + i, 9);
-		s[9] = 0;
-		sprintf(sql, "INSERT INTO #rowset(n,c) VALUES(%d,'%s')", i+1, s);
-		Command(Statement, sql);
-	}
-
-	ResetStatement();
-	CHK(SQLSetStmtOption, (Statement, SQL_ATTR_CURSOR_TYPE, SQL_CURSOR_DYNAMIC));
-	rc = CommandWithResult(Statement, "SELECT * FROM #rowset ORDER BY n");
-	if (!SQL_SUCCEEDED(rc))
-		ODBC_REPORT_ERROR("SQLExecDirect error");
-
-	CHK(SQLBindCol, (Statement, 2, SQL_C_CHAR, buf, sizeof(buf), &len));
-
-	row_count = 0xdeadbeef;
-	memset(statuses, 0x55, sizeof(statuses));
-	CHK(SQLExtendedFetch, (Statement, SQL_FETCH_NEXT, 1, &row_count, statuses));
-
-	if (row_count != 1 || statuses[0] != SQL_ROW_SUCCESS || strcmp(buf, "aaaaaaaaa") != 0) {
-		fprintf(stderr, "Invalid result\n");
-		Disconnect();
-		return 1;
-	}
-
 	Disconnect();
 
 	printf("Done.\n");

